<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:xalan="http://xml.apache.org/xalan" exclude-result-prefixes="extensions xalan" xmlns:fnplm="urn:fnplm:lmadmin" xmlns:extensions="urn:fnplm:lmadmin">

  <xsl:template name="hostInfo" match="/">
    <xsl:for-each select="//fnplm:hostid[@type='HOSTID_TYPE_DISPLAY']">
      <tr>
        <th><xsl:value-of select="@label"/>:</th>
        <td><xsl:value-of select="@id"/></td>
      </tr>
    </xsl:for-each>
    <xsl:for-each select="//fnplm:hostid[@type='HOSTID_TYPE_HOSTNAME']">
      <tr>
        <th><xsl:value-of select="@label"/>:</th>
        <td><xsl:value-of select="@id"/></td>
      </tr>
    </xsl:for-each>
    <xsl:for-each select="//fnplm:hostid[@type='HOSTID_TYPE_HOSTDOMAIN']">
      <tr>
        <th><xsl:value-of select="@label"/>:</th>
        <td><xsl:value-of select="@id"/></td>
     </tr>
    </xsl:for-each>
    <xsl:for-each select="//fnplm:hostid[@type='HOSTID_TYPE_INTERNET']">
      <tr>
        <th><xsl:value-of select="@label"/>:</th>
        <td><xsl:value-of select="@id"/></td>
      </tr>
    </xsl:for-each>
    <xsl:for-each select="//fnplm:hostid[@type='HOSTID_TYPE_INTERNET6']">
      <tr>
        <th><xsl:value-of select="@label"/>:</th>
        <td><xsl:value-of select="@id"/></td>
      </tr>
    </xsl:for-each>
    <xsl:for-each select="//fnplm:hostid[@type='HOSTID_TYPE_ETHERNET']">
      <tr>
        <th><xsl:value-of select="@label"/>:</th>
        <td><xsl:value-of select="@id"/></td>
      </tr>
    </xsl:for-each>
    <xsl:for-each select="//fnplm:hostid[@type='HOSTID_TYPE_VSN']">
      <tr>
        <th><xsl:value-of select="@label"/>:</th>
        <td><xsl:value-of select="@id"/></td>
      </tr>
    </xsl:for-each>
    <xsl:for-each select="//fnplm:hostid[@type='HOSTID_TYPE_LONGHOSTID']">
      <tr>
        <th><xsl:value-of select="@label"/>:</th>
        <td><xsl:value-of select="@id"/></td>
      </tr>
    </xsl:for-each>
    <xsl:for-each select="//fnplm:hostid[@type='HOSTID_TYPE_FLEXID6']">
      <tr>
        <th><xsl:value-of select="@label"/>:</th>
        <td><xsl:value-of select="@id"/></td>
      </tr>
    </xsl:for-each>
    <xsl:for-each select="//fnplm:hostid[@type='HOSTID_TYPE_FLEXID7']">
      <tr>
        <th><xsl:value-of select="@label"/>:</th>
        <td><xsl:value-of select="@id"/></td>
      </tr>
    </xsl:for-each>
    <xsl:for-each select="//fnplm:hostid[@type='HOSTID_TYPE_FLEXID8']">
      <tr>
        <th><xsl:value-of select="@label"/>:</th>
        <td><xsl:value-of select="@id"/></td>
      </tr>
    </xsl:for-each>
    <xsl:for-each select="//fnplm:hostid[@type='HOSTID_TYPE_FLEXID9']">
      <tr>
        <th><xsl:value-of select="@label"/>:</th>
        <td><xsl:value-of select="@id"/></td>
      </tr>
    </xsl:for-each>
    <xsl:for-each select="//fnplm:hostid[@type='HOSTID_TYPE_FLEXID10']">
      <tr>
        <th><xsl:value-of select="@label"/>:</th>
        <td><xsl:value-of select="@id"/></td>
      </tr>
    </xsl:for-each>
    <xsl:for-each select="//fnplm:hostid[@type='HOSTID_TYPE_FLEXID11']">
      <tr>
        <th><xsl:value-of select="@label"/>:</th>
        <td><xsl:value-of select="@id"/></td>
      </tr>
    </xsl:for-each>
    <xsl:for-each select="//fnplm:hostid[@type='HOSTID_TYPE_COMPOSITE']">
      <tr>
        <th><xsl:value-of select="@label"/>:</th>
        <td><xsl:value-of select="@id"/></td>
      </tr>
    </xsl:for-each>
    <xsl:for-each select="//fnplm:hostid[@type='HOSTID_TYPE_VENDOR']">
      <tr>
        <th><xsl:value-of select="@label"/>:</th>
        <td><xsl:value-of select="@id"/></td>
      </tr>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>
