<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:xalan="http://xml.apache.org/xalan" exclude-result-prefixes="extensions xalan" xmlns:fnplm="urn:fnplm:lmadmin" xmlns:extensions="urn:fnplm:lmadmin">
  <xsl:output method="html" version="4.01" encoding="UTF-8"/>
  <xsl:include href="commonAdmin.xsl"/>
  <xsl:include href="sessionTimeout.xsl"/>
  <xsl:param name="help_id">HELP_IDS_ADMIN</xsl:param>

  <xsl:param name="admin" select="'CONFIG'"/>
  <xsl:param name="message" select="'NO_MESSAGE'"/>
  <xsl:param name="compliance508">
    <xsl:choose>
      <xsl:when test="//fnplm:input[@name='compliance508']!=''">
        <xsl:value-of select="//fnplm:input[@name='compliance508']"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="//fnplm:input/@compliance508"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:param>
  <xsl:param name="isHttpsEnabled"/>
  <xsl:param name="wasHttpsEnabled"/>
  
  <xsl:template match="/">
    <xsl:call-template name="admin"/>
  </xsl:template>
</xsl:stylesheet>